#***********************************************************************
#*                                                                     *
#*  VisualAge for C++ for Windows, Version 3.5                         *
#*    Licensed Material - Property of IBM                              *
#*                                                                     *
#*  5801-ARR and Other Materials                                       *
#*                                                                     *
#*  (c) Copyright IBM Corp 1991, 1996. All rights reserved.            *
#*                                                                     *
#***********************************************************************


#############
LC_CTYPE
#############

upper   <A>;...;<Z>;\
        <A-ogonek>;\
        <A-circumflex>;\
        <A-diaresis>;\
        <A-acute>;\
        <A-breve>;\
        <C-cedilla>;\
        <C-acute>;\
        <C-caron>;\
        <D-stroke>;\
        <E-ogonek>;\
        <E-acute>;\
        <E-caron>;\
        <E-diaresis>;\
        <I-circumflex>;\
        <I-acute>;\
        <L-acute>;\
        <L-caron>;\
        <N-acute>;\
        <N-caron>;\
        <O-acute>;\
        <O-circumflex>;\
        <O-doubleacute>;\
        <O-diaresis>;\
        <R-caron>;\
        <R-acute>;\
        <S-caron>;\
        <S-acute>;\
        <S-cedilla>;\
        <T-caron>;\
        <T-cedilla>;\
        <U-ring>;\
        <U-acute>;\
        <U-doubleacute>;\
        <U-diaresis>;\
        <Y-acute>;\
        <Z-acute>;\
        <Z-caron>;\
        <Z-abovedot>

lower   <a>;...;<z>;\
        <a-ogonek>;\
        <a-circumflex>;\
        <a-diaresis>;\
        <a-acute>;\
        <a-breve>;\
        <c-cedilla>;\
        <c-acute>;\
        <c-caron>;\
        <d-stroke>;\
        <e-ogonek>;\
        <e-acute>;\
        <e-caron>;\
        <e-diaresis>;\
        <i-circumflex>;\
        <i-acute>;\
        <l-acute>;\
        <l-caron>;\
        <n-acute>;\
        <n-caron>;\
        <o-acute>;\
        <o-circumflex>;\
        <o-doubleacute>;\
        <o-diaresis>;\
        <r-caron>;\
        <r-acute>;\
        <s-caron>;\
        <s-acute>;\
        <s-cedilla>;\
        <t-caron>;\
        <t-cedilla>;\
        <u-ring>;\
        <u-acute>;\
        <u-doubleacute>;\
        <u-diaresis>;\
        <y-acute>;\
        <z-acute>;\
        <z-caron>;\
        <z-abovedot>

space   <tab>;\
        <newline>;\
        <vertical-tab>;\
        <form-feed>;\
        <carriage-return>;\
        <space>

cntrl   <NUL>;...;<IS1>;\
        <DEL>

graph   <exclamation-mark>;...;<tilde>;\
        <C-cedilla>;...;<boxfill-middle>

print   <space>;...;<tilde>;\
        <C-cedilla>;...;<boxfill-middle>

punct   <exclamation-mark>;...;<slash>;\
        <colon>;...;<commercial-at>;\
        <left-square-bracket>;...;<grave-accent>;\
        <left-brace>;...;<tilde>

digit   <zero>;...;<nine>

xdigit  <zero>;...;<nine>;\
        <A>;...;<F>;\
        <a>;...;<f>

blank   <space>;\
        <tab>

toupper (<a>,<A>);(<b>,<B>);(<c>,<C>);(<d>,<D>);(<e>,<E>);\
        (<f>,<F>);(<g>,<G>);(<h>,<H>);(<i>,<I>);(<j>,<J>);\
        (<k>,<K>);(<l>,<L>);(<m>,<M>);(<n>,<N>);(<o>,<O>);\
        (<p>,<P>);(<q>,<Q>);(<r>,<R>);(<s>,<S>);(<t>,<T>);\
        (<u>,<U>);(<v>,<V>);(<w>,<W>);(<x>,<X>);(<y>,<Y>);\
        (<z>,<Z>);\
        (<a-ogonek>,<A-ogonek>);\
        (<l-stroke>,<L-stroke>);\
        (<l-caron>,<L-caron>);\
        (<s-acute>,<S-acute>);\
        (<s-caron>,<S-caron>);\
        (<s-cedilla>,<S-cedilla>);\
        (<t-caron>,<T-caron>);\
        (<z-acute>,<Z-acute>);\
        (<z-caron>,<Z-caron>);\
        (<z-abovedot>,<Z-abovedot>);\
        (<r-acute>,<R-acute>);\
        (<a-acute>,<A-acute>);\
        (<a-circumflex>,<A-circumflex>);\
        (<a-breve>,<A-breve>);\
        (<a-diaresis>,<A-diaresis>);\
        (<l-acute>,<L-acute>);\
        (<c-acute>,<C-acute>);\
        (<c-cedilla>,<C-cedilla>);\
        (<c-caron>,<C-caron>);\
        (<e-acute>,<E-acute>);\
        (<e-ogonek>,<E-ogonek>);\
        (<e-diaresis>,<E-diaresis>);\
        (<e-caron>,<E-caron>);\
        (<i-acute>,<I-acute>);\
        (<i-circumflex>,<I-circumflex>);\
        (<d-caron>,<D-caron>);\
        (<i-circumflex>,<I-circumflex>);\
        (<d-stroke>,<D-stroke>);\
        (<n-acute>,<N-acute>);\
        (<n-caron>,<N-caron>);\
        (<o-acute>,<O-acute>);\
        (<o-circumflex>,<O-circumflex>);\
        (<o-doubleacute>,<O-doubleacute>);\
        (<o-diaresis>,<O-diaresis>);\
        (<r-caron>,<R-caron>);\
        (<u-ring>,<U-ring>);\
        (<u-acute>,<U-acute>);\
        (<u-doubleacute>,<U-doubleacute>);\
        (<u-diaresis>,<U-diaresis>);\
        (<y-acute>,<Y-acute>);\
        (<t-cedilla>,<T-cedilla>)

END LC_CTYPE

#############
LC_COLLATE
#############

order_start                     forward;forward;forward
<NUL>
<SOH>
<STX>
<ETX>
<EOT>
<ENQ>
<ACK>
<alert>
<backspace>
<tab>
<newline>
<vertical-tab>
<form-feed>
<carriage-return>
<SO>
<SI>
<DLE>
<DC1>
<DC2>
<DC3>
<DC4>
<NAK>
<SYN>
<ETB>
<CAN>
<EM>
<SUB>
<ESC>
<IS4>
<IS3>
<IS2>
<IS1>
<DEL>
<space>                 <space>;<space>;<space>
<exclamation-mark>      <exclamation-mark>;<exclamation-mark>;<exclamation-mark>
<quotation-mark>        <quotation-mark>;<quotation-mark>;<quotation-mark>
<number-sign>           <number-sign>;<number-sign>;<number-sign>
<dollar-sign>           <dollar-sign>;<dollar-sign>;<dollar-sign>
<percent-sign>          <percent-sign>;<percent-sign>;<percent-sign>
<ampersand>             <ampersand>;<ampersand>;<ampersand>
<apostrophe>            <apostrophe>;<apostrophe>;<apostrophe>
<left-parenthesis>      <left-parenthesis>;<left-parenthesis>;<left-parenthesis>
<right-parenthesis>     <right-parenthesis>;<right-parenthesis>;<right-parenthesis>
<asterisk>              <asterisk>;<asterisk>;<asterisk>
<plus-sign>             <plus-sign>;<plus-sign>;<plus-sign>
<comma>                 <comma>;<comma>;<comma>
<hyphen>                <hyphen>;<hyphen>;<hyphen>
<period>                <period>;<period>;<period>
<slash>                 <slash>;<slash>;<slash>
<colon>                 <colon>;<colon>;<colon>
<semicolon>             <semicolon>;<semicolon>;<semicolon>
<less-than-sign>        <less-than-sign>;<less-than-sign>;<less-than-sign>
<equals-sign>           <equals-sign>;<equals-sign>;<equals-sign>
<greater-than-sign>     <greater-than-sign>;<greater-than-sign>;<greater-than-sign>
<question-mark>         <question-mark>;<question-mark>;<question-mark>
<commercial-at>         <commercial-at>;<commercial-at>;<commercial-at>
<left-square-bracket>   <left-square-bracket>;<left-square-bracket>;<left-square-bracket>
<backslash>             <backslash>;<backslash>;<backslash>
<right-square-bracket>  <right-square-bracket>;<right-square-bracket>;<right-square-bracket>
<circumflex-accent>     <circumflex-accent>;<circumflex-accent>;<circumflex-accent>
<underscore>            <underscore>;<underscore>;<underscore>
<grave-accent>          <grave-accent>;<grave-accent>;<grave-accent>
<left-brace>            <left-brace>;<left-brace>;<left-brace>
<vertical-line>         <vertical-line>;<vertical-line>;<vertical-line>
<right-brace>           <right-brace>;<right-brace>;<right-brace>
<tilde>                 <tilde>;<tilde>;<tilde>
<breve>                 <breve>;<breve>;<breve>
<currency>              <currency>;<currency>;<currency>
<section>               <section>;<section>;<section>
<diaresis>              <diaresis>;<diaresis>;<diaresis>
<dash>                  <dash>;<dash>;<dash>
<degree>                <degree>;<degree>;<degree>
<ogonek>                <ogonek>;<ogonek>;<ogonek>
<acute>                 <acute>;<acute>;<acute>
<caron>                 <caron>;<caron>;<caron>
<cedilla>               <cedilla>;<cedilla>;<cedilla>
<doubleacute>           <doubleacute>;<doubleacute>;<doubleacute>
<multiply>              <multiply>;<multiply>;<multiply>
<division>              <division>;<division>;<division>
<abovedot>              <abovedot>;<abovedot>;<abovedot>
<nobreakspace>          <nobreakspace>;<nobreakspace>;<nobreakspace>
<guillemot-left>
<guillemot-right>
<boxfill-dark>
<boxfill-medium>
<boxfill-light>
<box-vertical>
<box-int-right>
<doublebox-int-right>
<doublebox-vertical>
<doublebox-top-right>
<doublebox-bottom-right>
<box-top-right>
<box-bottom-left>
<box-int-bottom>
<box-int-top>
<box-int-left>
<box-horizontal>
<box-intersection>
<doublebox-bottom-left>
<doublebox-top-left>
<doublebox-int-bottom>
<doublebox-int-top>
<doublebox-int-left>
<doublebox-horizontal>
<doublebox-intersection>
<box-bottom-right>
<box-top-left>
<boxfill>
<boxfill-bottom>
<boxfill-top>
<boxfill-middle>
<zero>                  <zero>;<zero>;<zero>
<one>                   <one>;<one>;<one>
<two>                   <two>;<two>;<two>
<three>                 <three>;<three>;<three>
<four>                  <four>;<four>;<four>
<five>                  <five>;<five>;<five>
<six>                   <six>;<six>;<six>
<seven>                 <seven>;<seven>;<seven>
<eight>                 <eight>;<eight>;<eight>
<nine>                  <nine>;<nine>;<nine>
<a>                     <a>;<a>;<a>
<A>                     <a>;<a>;<A>
<a-acute>               <a>;<a-acute>;<a-acute>
<A-acute>               <a>;<a-acute>;<A-acute>
<a-breve>               <a>;<a-breve>;<a-breve>
<A-breve>               <a>;<a-breve>;<A-breve>
<a-circumflex>          <a>;<a-circumflex>;<a-circumflex>
<A-circumflex>          <a>;<a-circumflex>;<A-circumflex>
<a-diaresis>            <a>;<a-diaresis>;<a-diaresis>
<A-diaresis>            <a>;<a-diaresis>;<A-diaresis>
<a-ogonek>              <a>;<a-ogonek>;<a-ogonek>
<A-ogonek>              <a>;<a-ogonek>;<A-ogonek>
<b>                     <b>;<b>;<b>
<B>                     <b>;<b>;<B>
<c>                     <c>;<c>;<c>
<C>                     <c>;<c>;<C>
<c-caron>               <c>;<c-caron>;<c-caron>
<C-caron>               <c>;<c-caron>;<C-caron>
<c-acute>               <c>;<c-acute>;<c-acute>
<C-acute>               <c>;<c-acute>;<C-acute>
<c-cedilla>             <c>;<c-cedilla>;<c-cedilla>
<C-cedilla>             <c>;<c-cedilla>;<C-cedilla>
<d>                     <d>;<d>;<d>
<D>                     <D>;<D>;<D>
<d-caron>               <d>;<d-caron>;<d-caron>
<D-caron>               <d>;<d-caron>;<D-caron>
<d-stroke>              <d>;<d-stroke>;<d-stroke>
<D-stroke>              <d>;<d-stroke>;<D-stroke>
<e>                     <e>;<e>;<e>
<E>                     <e>;<e>;<E>
<e-acute>               <e>;<e-acute>;<e-acute>
<E-acute>               <e>;<e-acute>;<E-acute>
<e-caron>               <e>;<e-caron>;<e-caron>
<E-caron>               <e>;<e-caron>;<E-caron>
<e-diaresis>            <e>;<e-diaresis>;<e-diaresis>
<E-diaresis>            <e>;<e-diaresis>;<E-diaresis>
<e-ogonek>              <e>;<e-ogonek>;<e-ogonek>
<E-ogonek>              <e>;<e-ogonek>;<E-ogonek>
<f>                     <f>;<f>;<f>
<F>                     <f>;<f>;<F>
<g>                     <g>;<g>;<g>
<G>                     <g>;<g>;<G>
<h>                     <h>;<h>;<h>
<H>                     <h>;<h>;<H>
<i>                     <i>;<i>;<i>
<I>                     <i>;<i>;<I>
<i-acute>               <i>;<i-acute>;<i-acute>
<I-acute>               <i>;<i-acute>;<I-acute>
<i-circumflex>          <i>;<i-circumflex>;<i-circumflex>
<I-circumflex>          <i>;<i-circumflex>;<I-circumflex>
<j>                     <j>;<j>;<j>
<J>                     <j>;<j>;<J>
<k>                     <k>;<k>;<k>
<K>                     <k>;<k>;<K>
<l>                     <l>;<l>;<l>
<L>                     <l>;<l>;<L>
<l-acute>               <l>;<l-acute>;<l-acute>
<L-acute>               <l>;<l-acute>;<L-acute>
<l-caron>               <l>;<l-caron>;<l-caron>
<L-caron>               <l>;<l-caron>;<L-caron>
<l-stroke>              <l>;<l-stroke>;<l-stroke>
<L-stroke>              <l>;<l-stroke>;<L-stroke>
<m>                     <m>;<m>;<m>
<M>                     <m>;<m>;<M>
<n>                     <n>;<n>;<n>
<N>                     <n>;<n>;<N>
<n-acute>               <n>;<n-acute>;<n-acute>
<N-acute>               <n>;<n-acute>;<N-acute>
<n-caron>               <n>;<n-caron>;<n-caron>
<N-caron>               <n>;<n-caron>;<N-caron>
<o>                     <o>;<o>;<o>
<O>                     <o>;<o>;<O>
<o-acute>               <o>;<o-acute>;<o-acute>
<O-acute>               <o>;<o-acute>;<O-acute>
<o-circumflex>          <o>;<o-circumflex>;<o-circumflex>
<O-circumflex>          <o>;<o-circumflex>;<O-circumflex>
<o-diaresis>            <o>;<o-diaresis>;<o-diaresis>
<O-diaresis>            <o>;<o-diaresis>;<O-diaresis>
<o-doubleacute>         <o>;<o-doubleacute>;<o-doubleacute>
<O-doubleacute>         <o>;<o-doubleacute>;<O-doubleacute>
<p>                     <p>;<p>;<p>
<P>                     <p>;<p>;<P>
<q>                     <q>;<q>;<q>
<Q>                     <q>;<q>;<Q>
<r>                     <r>;<r>;<r>
<R>                     <r>;<r>;<R>
<r-acute>               <r>;<r-acute>;<r-acute>
<R-acute>               <r>;<r-acute>;<R-acute>
<r-caron>               <r>;<r-caron>;<r-caron>
<R-caron>               <r>;<r-caron>;<R-caron>
<s>                     <s>;<s>;<s>
<S>                     <s>;<s>;<S>
<s-acute>               <s>;<s-acute>;<s-acute>
<S-acute>               <s>;<s-acute>;<S-acute>
<s-caron>               <s>;<s-caron>;<s-caron>
<S-caron>               <s>;<s-caron>;<S-caron>
<s-cedilla>             <s>;<s-cedilla>;<s-cedilla>
<S-cedilla>             <s>;<s-cedilla>;<S-cedilla>
<s-sharp>               <s>;"<s><s>";"<s><s>"
<t>                     <t>;<t>;<t>
<T>                     <t>;<t>;<T>
<t-caron>               <t>;<t-caron>;<t-caron>
<T-caron>               <t>;<t-caron>;<T-caron>
<t-cedilla>             <t>;<t-cedilla>;<t-cedilla>
<T-cedilla>             <t>;<t-cedilla>;<T-cedilla>
<u>                     <u>;<u>;<u>
<U>                     <u>;<u>;<U>
<u-acute>               <u>;<u-acute>;<u-acute>
<U-acute>               <u>;<u-acute>;<U-acute>
<u-ring>                <u>;<u-ring>;<u-ring>
<U-ring>                <u>;<u-ring>;<U-ring>
<u-diaresis>            <u>;<u-diaresis>;<u-diaresis>
<U-diaresis>            <u>;<u-diaresis>;<U-diaresis>
<u-doubleacute>         <u>;<u-doubleacute>;<u-doubleacute>
<U-doubleacute>         <u>;<u-doubleacute>;<U-doubleacute>
<v>                     <v>;<v>;<v>
<V>                     <v>;<v>;<V>
<w>                     <w>;<w>;<w>
<W>                     <w>;<w>;<W>
<x>                     <x>;<x>;<x>
<X>                     <x>;<x>;<X>
<y>                     <y>;<y>;<y>
<Y>                     <y>;<y>;<Y>
<y-acute>               <y>;<y-acute>;<y-acute>
<Y-acute>               <y>;<y-acute>;<Y-acute>
<z>                     <z>;<z>;<z>
<Z>                     <z>;<z>;<Z>
<z-acute>               <z>;<z-acute>;<z-acute>
<Z-acute>               <z>;<z-acute>;<Z-acute>
<z-caron>               <z>;<z-caron>;<z-caron>
<Z-caron>               <z>;<z-caron>;<Z-caron>
<z-abovedot>            <z>;<z-abovedot>;<z-abovedot>
<Z-abovedot>            <z>;<z-abovedot>;<Z-abovedot>


order_end

END LC_COLLATE

#############
LC_MONETARY
#############

int_curr_symbol   "<z><l-stroke><space><space>"
currency_symbol   "<z><l-stroke>"
mon_decimal_point "<comma>"
mon_thousands_sep " "
mon_grouping      "3;0"
positive_sign     ""
negative_sign     "<hyphen>"
int_frac_digits   2
frac_digits       2
p_cs_precedes     0
p_sep_by_space    1
n_cs_precedes     0
n_sep_by_space    1
p_sign_posn       1
n_sign_posn       1

END LC_MONETARY


#############
LC_NUMERIC
#############

decimal_point     "<comma>"
thousands_sep     " "
grouping          "3;0"

END LC_NUMERIC


#############
LC_TIME
#############
abday   "<N><i>";\
        "<P><n>";\
        "<W><t>";\
        "<S-acute><r>";\
        "<C><z>";\
        "<P><t>";\
        "<S><o>"

day     "<N><i><e><d><z><i><e><l><a>";\
        "<P><o><n><i><e><d><z><i><a><l-stroke><e><k>";\
        "<W><t><o><r><e><k>";\
        "<S-acute><r><o><d><a>";\
        "<C><z><w><a><r><t><e><k>";\
        "<P><i><a-ogonek><t><e><k>";\
        "<S><o><b><o><t><a>"

abmon   "<S><t><y><c>";\
        "<L><u><t><y>";\
        "<M><a><r><z>";\
        "<K><w><i><e>";\
        "<M><a><j>";\
        "<C><z><e><r>";\
        "<L><i><p><i>";\
        "<S><i><e><r>";\
        "<W><r><z><e>";\
        "<P><a><z-acute><d>";\
        "<L><i><s><t>";\
        "<G><r><u><d>"

mon     "<S><t><y><c><z><e><n-acute>";\
        "<L><u><t><y>";\
        "<M><a><r><z><e><c>";\
        "<K><w><i><e><c><i><e><n-acute>";\
        "<M><a><j>";\
        "<C><z><e><r><w><i><e><c>";\
        "<L><i><p><i><e><c>";\
        "<S><i><e><r><p><i><e><n-acute>";\
        "<W><r><z><e><s><i><e><n-acute>";\
        "<P><a><z-acute><d><z><i><e><r><n><i><k>";\
        "<L><i><s><t><o><p><a><d>";\
        "<G><r><u><d><z><i><e><n-acute>"

d_t_fmt "%a %e %b %Y %H:%M:%S"

d_fmt   "%Y-%m-%d"

t_fmt   "%H:%M:%S"

nlldate "%d %b %Y"
nlyear  "19890108,Heisei:19261225,Showa:"
nltmisc "at:each:every:on:through:am:pm:zulu"
nltstr  "now:yesterday:tomorrow:noon:midnight:next:weekdays:weekend:today"
nltunits        "minute:minutes:hour:hours:day:days:week:weeks:month:months:year:years:min:mins"

am_pm   "";""

END LC_TIME


#############
LC_MESSAGES
#############

yesexpr "^([tT]|[tT][aA][kK])"
noexpr  "^([nN]|[nN][iI][eE])"
yesstr  "Tak:d:D"
nostr   "Nie:n:N"

END LC_MESSAGES
